## luma.core 2.3.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/luma.core.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/luma.core.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/luma.core"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/luma.core"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## luma.core 2.2.0+dfsg2

=== debian/changelog ===
luma.core (2.2.0+dfsg2-1) unstable; urgency=medium

  * Initial upload (Closes: #980716)

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Jan 2021 23:10:37 +0100

=== debian/control ===
Source: luma.core
Maintainer:  Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-cbor2,
               python3-deprecated,
               python3-dev,
               python3-pil,
               python3-smbus,
               python3-pytest,
               python3-setuptools,
               sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/luma.core
Vcs-Git: https://salsa.debian.org/science-team/luma.core.git
Homepage: https://github.com/rm-hull/luma.core
Testsuite: autopkgtest-pkg-python

Package: python3-luma.core
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: component library providing a Pillow-compatible drawing canvas
 other functionality to support drawing primitives and text-rendering
 capabilities for small displays on the Raspberry Pi and other single board
 computers:
  * scrolling/panning capability,
  * terminal-style printing,
  * state management,
  * color/greyscale (where supported),
  * dithering to monochrome,
  * sprite animation,
  * flexible framebuffering (depending on device capabilities)

Package: luma.core-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: doc for component library providing a Pillow-compatible drawing canvas
 other functionality to support drawing primitives and text-rendering
 capabilities for small displays on the Raspberry Pi and other single board
 computers:
  * scrolling/panning capability,
  * terminal-style printing,
  * state management,
  * color/greyscale (where supported),
  * dithering to monochrome,
  * sprite animation,
  * flexible framebuffering (depending on device capabilities)
  Package contains documentation

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = luma.core

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *luma.core.egg-info

override_dh_auto_test:

override_dh_auto_install-indep:
	cd $(CURDIR)/doc && make html
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/src=\"https:\/\/github.com/src=\"/g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
    dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
    https://github.com/rm-hull/luma.core/tags .*/v?(\d\S+)\.tar\.gz

## luma.core 2.3.1+dfsg1

=== debian/changelog ===
luma.core (2.3.1+dfsg1-1) unstable; urgency=medium

  * [6886c6f] Ignore quilt dir
  * [2b0c25c] Move package into the Electronics Team
  * [0edfa2c] New upstream version 2.3.1+dfsg1
  * [b38e47d] Apply cme fix dpkg
  * [90cdb4f] Use canonical URL in Vcs-Git.

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Mar 2021 22:14:24 +0100

luma.core (2.2.0+dfsg2-2) unstable; urgency=medium

  * [1d76310] Fix d/rules
  * [0dcc228] Strip unusual field spacing from debian/control.
  * [3aeafbe] Remove dh_make template from debian watch.
  * [a8945b1] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [43b8e53] Enable autotests
  * [ac15933] Fix VCS-fields
  * [47ee5ba] Add fonts-dejavu to BD
  * [9db0be6] Disable test_accented_charset

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Feb 2021 22:20:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,34 @@
 Source: luma.core
-Maintainer:  Anton Gladky <gladk@debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               fonts-dejavu,
                python3-cbor2,
                python3-deprecated,
                python3-dev,
                python3-pil,
-               python3-smbus,
+               python3-smbus2,
+               python3-ftdi,
                python3-pytest,
                python3-setuptools,
                sphinx
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/science-team/luma.core
-Vcs-Git: https://salsa.debian.org/science-team/luma.core.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/electronics-team/luma.core
+Vcs-Git: https://salsa.debian.org/electronics-team/luma.core.git
 Homepage: https://github.com/rm-hull/luma.core
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-luma.core
 Architecture: any
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python3-ftdi,
+         python3-smbus2
 Description: component library providing a Pillow-compatible drawing canvas
  other functionality to support drawing primitives and text-rendering
  capabilities for small displays on the Raspberry Pi and other single board
@@ -40,7 +45,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Description: doc for component library providing a Pillow-compatible drawing canvas
  other functionality to support drawing primitives and text-rendering
  capabilities for small displays on the Raspberry Pi and other single board

## luma.core 2.3.2

=== debian/changelog ===
luma.core (2.3.2-2) unstable; urgency=medium

  * [2de68a0] Disable two tests

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Dec 2021 21:22:48 +0100

luma.core (2.3.2-1) unstable; urgency=medium

  * [83304bf] New upstream version 2.3.2
  * [0bc1d13] Set Standards-Version: 4.6.0

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Dec 2021 20:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest,
                python3-setuptools,
                sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.core
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.core.git
 Homepage: https://github.com/rm-hull/luma.core

## luma.core 2.4.0

=== debian/changelog ===
luma.core (2.4.0-1) unstable; urgency=medium

  * [afbd551] Fix upstream-name.
  * [116c7b7] New upstream version 2.4.0
  * [4882571] Update standards version to 4.6.1, no changes needed.
  * [9086c33] Replace sphinx by python-sphinx.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jan 2023 22:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                python3-ftdi,
                python3-pytest,
                python3-setuptools,
-               sphinx
-Standards-Version: 4.6.0
+               python3-sphinx
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.core
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.core.git
 Homepage: https://github.com/rm-hull/luma.core

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,8 @@
 	dh_auto_clean
 	rm -rf *luma.core.egg-info
 
-override_dh_auto_test:
-
 override_dh_auto_install-indep:
+	dh_auto_install -i
 	cd $(CURDIR)/doc && make html
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/src=\"https:\/\/github.com/src=\"/g'

## luma.core 2.4.1

=== debian/changelog ===
luma.core (2.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [5754157] Apply multi-arch hints. + luma.core-doc: Add Multi-Arch: foreign.

  [ Anton Gladky ]
  * [f5147b8] Add python3-sphinx-rtd-theme to depends

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Jan 2024 06:22:13 +0100

luma.core (2.4.1-1) unstable; urgency=medium

  * [aed89ba] New upstream version 2.4.1. (Closes: #1058359)
  * [9d90933] Update patch
  * [7be00b4] Update standards version to 4.6.2, no changes needed.
  * [fff3ed8] Fix double build failure. (Closes: #1048072)

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Jan 2024 22:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                python3-ftdi,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.6.1
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.core
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.core.git
 Homepage: https://github.com/rm-hull/luma.core
@@ -46,6 +47,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: doc for component library providing a Pillow-compatible drawing canvas
  other functionality to support drawing primitives and text-rendering
  capabilities for small displays on the Raspberry Pi and other single board

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = luma.core

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf *luma.core.egg-info
	rm -rf doc/_build
	rm -rf .pybuild

execute_after_dh_auto_install-indep:
	cd $(CURDIR)/doc && make html
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/src=\"https:\/\/github.com/src=\"/g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/readthedocs.org//g'

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/rm-hull/luma.core/tags .*/v?(\d\S+)\.tar\.gz

## luma.core 2.4.2

=== debian/changelog ===
luma.core (2.4.2-1) unstable; urgency=medium

  * [a613a30] New upstream version 2.4.2. (Closes: #1069393)
  * [a79ca78] Update patch
  * [147c9c2] Trim trailing whitespace.

 -- Anton Gladky <gladk@debian.org>  Sun, 12 May 2024 22:46:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
 	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/readthedocs.org//g'
-

## luma.core 2.5.1

=== debian/changelog ===
luma.core (2.5.1-1) unstable; urgency=medium

  * [284b05b] chore: Update debian/watch file
  * [cbeff25] New upstream version 2.5.1
  * [36e54cb] Update patch

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Aug 2025 06:34:49 +0200

luma.core (2.4.2-2~exp2) experimental; urgency=medium

  * [b2998f6] chore: Remove autopkgtest-pkg-python

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:39:36 +0200

luma.core (2.4.2-2~exp1) experimental; urgency=medium

  * [0c15f20] Do not let fail on reprotest
  * [e2cf3a1] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/rm-hull/luma.core/tags .*/v?(\d\S+)\.tar\.gz
